<?php

/**
 * Customizer pro section this theme.
 *
 * @package Indistri WordPress Theme
 * @subpackage Indistri
 * @since Indistri 1.0
 * 
 */

if ( ! class_exists( 'Indistri_Customize_Premium_Section' ) ) {

	class Indistri_Customize_Premium_Section {

		public function __construct() {

			add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue' ), 0 );
			add_action( 'customize_register', array( $this, 'customizer_control' ) );	
			add_action( 'customize_register', array( $this, 'customizer_premium_sections' ) );	

		}

		public function enqueue() {        

			wp_enqueue_script( 'customizer-more-section', get_template_directory_uri() . '/inc/customizer/customizer-pro/section-control.js', array( 'customize-controls' ) );

		}

		public function customizer_control( $wp_customizer ) {

			require_once INDUSTRI_THEME_DIR . '/inc/customizer/customizer-pro/customizer-section-control.php';  

			//get_template_part('/inc/customizer/customizer-pro/customizer-section-control.php');			  
		}

		public function customizer_premium_sections( $wp_customizer ) {
			    
			$wp_customizer->register_section_type( 'Indistri_Customize_Premium_Section_control' );		
			$wp_customizer->add_section( new Indistri_Customize_Premium_Section_control( $wp_customizer,	'industri',array(                   
				'premium_url'  => 'https://amigothemes.com/downloads/industri-pro/',
				'priority' => 1
			)
		)
		);
		}	
	}

	new Indistri_Customize_Premium_Section();

}